Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Enum StandardEntryKind

    java.lang.Object
      java.lang.Enum<StandardEntryKind>
          org.eclipse.gmf.codegen.gmfgen.StandardEntryKind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<StandardEntryKind>, org.eclipse.emf.common.util.Enumerator

    public enum StandardEntryKind

extends java.lang.Enum<StandardEntryKind>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Standard Entry Kind', and utility methods for working with them.

See Also:
  `GMFGenPackage.getStandardEntryKind()`
** Generated **
Model:

Enum Constant Summary
`MARQUEE_LITERAL` The 'MARQUEE' literal object
`SELECT_LITERAL` The 'SELECT' literal object
`ZOOM_LITERAL` The 'ZOOM' literal object

Field Summary
`static int` `MARQUEE` The 'MARQUEE' literal value
`static int` `SELECT` The 'SELECT' literal value
`static java.util.List<StandardEntryKind>` `VALUES` A public read-only list of all the 'Standard Entry Kind' enumerators
`static int` `ZOOM` The 'ZOOM' literal value

Method Summary
`static StandardEntryKind` `get(int value)` Returns the 'Standard Entry Kind' literal with the specified integer value
`static StandardEntryKind` `get(java.lang.String literal)` Returns the 'Standard Entry Kind' literal with the specified literal value
`static StandardEntryKind` `getByName(java.lang.String name)` Returns the 'Standard Entry Kind' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static StandardEntryKind` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static StandardEntryKind[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SELECT_LITERAL

    public static final StandardEntryKind SELECT_LITERAL

  The 'SELECT' literal object.

  See Also:
    `SELECT`
  ** Generated **
  Ordered:

### MARQUEE_LITERAL

    public static final StandardEntryKind MARQUEE_LITERAL

  The 'MARQUEE' literal object.

  See Also:
    `MARQUEE`
  ** Generated **
  Ordered:

### ZOOM_LITERAL

    public static final StandardEntryKind ZOOM_LITERAL

  The 'ZOOM' literal object.

  See Also:
    `ZOOM`
  ** Generated **
  Ordered:

Field Detail

### SELECT

    public static final int SELECT

  The 'SELECT' literal value.

  If the meaning of 'SELECT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SELECT_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### MARQUEE

    public static final int MARQUEE

  The 'MARQUEE' literal value.

  If the meaning of 'MARQUEE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MARQUEE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### ZOOM

    public static final int ZOOM

  The 'ZOOM' literal value.

  If the meaning of 'ZOOM' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ZOOM_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### VALUES

    public static final java.util.List<StandardEntryKind> VALUES

  A public read-only list of all the 'Standard Entry Kind' enumerators.

  ** Generated **

Method Detail

### values

    public static final StandardEntryKind[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(StandardEntryKind c : StandardEntryKind.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static StandardEntryKind valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static StandardEntryKind get(java.lang.String literal)

  Returns the 'Standard Entry Kind' literal with the specified literal value.

  ** Generated **

### getByName

    public static StandardEntryKind getByName(java.lang.String name)

  Returns the 'Standard Entry Kind' literal with the specified name.

  ** Generated **

### get

    public static StandardEntryKind get(int value)

  Returns the 'Standard Entry Kind' literal with the specified integer value.

  ** Generated **

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<StandardEntryKind>`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.